Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class JMSConnectionStatsImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatsBase
          org.jboss.management.j2ee.statistics.JMSConnectionStatsImpl

All Implemented Interfaces:
  javax.management.j2ee.statistics.JMSConnectionStats, Serializable, javax.management.j2ee.statistics.Stats

public final class JMSConnectionStatsImpl
extends StatsBase
implements javax.management.j2ee.statistics.JMSConnectionStats

Represents the statistics provided by a JMS Connection.

Version:
  $Revision: 1.4 $
Author:
  Andreas Schaefer
See Also:
  Serialized Form

Constructor Summary
`JMSConnectionStatsImpl(javax.management.j2ee.statistics.JMSSessionStats[] pSessions, boolean pIsTransactional)`

Method Summary
`javax.management.j2ee.statistics.JMSSessionStats[]` | `getSessions()` Returns an array of JMSSessionStats that provide statistics about the sessions associated with the referencing JMSConnectionStats.
`boolean` | `isTransactional()` Returns the transactional state of this JMS connection.

Methods inherited from class org.jboss.management.j2ee.statistics.StatsBase
`addStatistic, getStatistic, getStatisticNames, getStatistics, reset, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Constructor Detail

### JMSConnectionStatsImpl

    public JMSConnectionStatsImpl(javax.management.j2ee.statistics.JMSSessionStats[] pSessions,
                                  boolean pIsTransactional)

Method Detail

### getSessions

    public javax.management.j2ee.statistics.JMSSessionStats[] getSessions()

  Description copied from interface: `javax.management.j2ee.statistics.JMSConnectionStats`
  Returns an array of JMSSessionStats that provide statistics about the sessions associated with the referencing JMSConnectionStats.

  Specified by:
    `getSessions` in interface `javax.management.j2ee.statistics.JMSConnectionStats`
  Returns:
    The list of JMSSessionStats that provide statistics about the sessions associated with the referencing JMSConnectionStats.

### isTransactional

    public boolean isTransactional()

  Description copied from interface: `javax.management.j2ee.statistics.JMSConnectionStats`
  Returns the transactional state of this JMS connection. If true, indicates that this JMS connection is transactional.

  Specified by:
    `isTransactional` in interface `javax.management.j2ee.statistics.JMSConnectionStats`
  Returns:
    The transactional state of this JMS connection. If true, indicates that this JMS connection is transactional.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.